TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TIBCO.EMS.UFO.QueueConnection Class Reference

A QueueConnection object is an active connection to a point-to-point TIBCO EMS Server. More...

Inheritance diagram for TIBCO.EMS.UFO.QueueConnection:

## Public Member Functions
virtual QueueSession | CreateQueueSession (bool transacted, int acknowledgeMode)
| Creates a QueueSession object. More...
virtual QueueSession | CreateQueueSession (bool transacted, TIBCO.EMS.SessionMode acknowledgeMode)
| Creates a QueueSession object. More...
Public Member Functions inherited from TIBCO.EMS.UFO.Connection
virtual Session | CreateSession (bool transacted, int acknowledgeMode)
| Creates a Session object. More...
virtual Session | CreateSession (bool transacted, TIBCO.EMS.SessionMode acknowledgeMode)
| Creates a Session object. More...
virtual void | Start ()
| Starts (or restarts) a connection's delivery of incoming messages. More...
virtual void | Stop ()
| Temporarily stops a connection's delivery of incoming messages. More...
virtual void | Close ()
| Closes the connection and reclaims resources. More...
override string | ToString ()
| A String representation of the conneciton object More...
void | RecoverConnection ()
| Recover the broken connection on another available server. The session, message producer, message consumer, temporary destinations created by this broken connection are transparently recreated once the connection is recovered. More...

## Additional Inherited Members
Properties inherited from TIBCO.EMS.UFO.Connection
string | ActiveURL`[get]`
| Get URL of the server this connection is currently connected to More...
bool | IsClosed`[get]`
| Return true if connection is closed; otherwise false. More...
string | ClientID`[get, set]`
| Gets and Set the Client Id More...
TIBCO.EMS.ConnectionMetaData | MetaData`[get]`
| Gets the metadata for this connection. More...
IExceptionListener | ExceptionListener`[get, set]`
| Get and set the exception event listener More...
TIBCO.EMS.EMSExceptionHandler | ExceptionHandler
| The exception event handler More...

## Detailed Description

A QueueConnection object is an active connection to a point-to-point TIBCO EMS Server.

Note: This class is provided for backward compatibility to support older EMS clients programs. New clients should use the Connection class instead.

A client uses a QueueConnection object to create one or more QueueSession objects for producing and consuming messages.

A QueueConnection can be used to create a QueueSession, from which specialized queue-related objects can be created.

A QueueConnection cannot be used to create objects specific to the publish/subscribe domain.

## Member Function Documentation

virtual QueueSession TIBCO.EMS.UFO.QueueConnection.CreateQueueSession | ( | bool | transacted,
|  | int | acknowledgeMode
| ) |  |
| inline virtual

Creates a QueueSession object.

Note: This method is provided for backward compatibility to support older EMS clients programs.

The new queue session uses the connection for all server communications. It will be recreated during connection recovery process.

Parameters

  transacted | Indicates whether the session is transacted.When true, the new session has transaction semantics.When false, it has non-transaction semantics.
  acknowledgeMode | Indicates whether and how the consumer is to acknowledge received messages. This version of CreateQueueSession accepts an integer value associated with the acknowledge mode described by a Session member and should only be used for backward compatibility.This parameter is ignored if the session is transacted.

Returns
  A newly created queue session

virtual QueueSession TIBCO.EMS.UFO.QueueConnection.CreateQueueSession | ( | bool | transacted,
|  | TIBCO.EMS.SessionMode | acknowledgeMode
| ) |  |
| inline virtual

Creates a QueueSession object.

Note: This method is provided for backward compatibility to support older EMS clients programs.

The new queue session uses the connection for all server communications. It will be recreated during connection recovery process.

Parameters

  transacted | Indicates whether the session is transacted.

When true, the new session has transaction semantics.

When false, it has non-transaction semantics.

Parameters

  acknowledgeMode | Indicates whether and how the consumer is to acknowledge received messages. Legal values are listed under TIBCO.EMS.SessionMode. This parameter is ignored if the session is transacted.

Returns
  A newly created queue session